summaryrefslogtreecommitdiffstats
path: root/source/a/lilo/lilo.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-12-23 21:21:34 +0000
committer Eric Hameleers <alien@slackware.com>2020-12-24 08:59:49 +0100
commit84c2304885a8a91702b657dbd82831ba6eb168e5 (patch)
tree29f8e0deeb8594a988f2027a9dc362415b517fab /source/a/lilo/lilo.SlackBuild
parent729618f2a60f89159b636b5521a2dea48220bde9 (diff)
downloadcurrent-84c2304885a8a91702b657dbd82831ba6eb168e5.tar.gz
current-84c2304885a8a91702b657dbd82831ba6eb168e5.tar.xz
Wed Dec 23 21:21:34 UTC 202020201223212134
a/lilo-24.2-x86_64-10.txz: Rebuilt. Add -fcommon to fix build with gcc10. liloconfig: Don't warn about UMSDOS which is long obsolete. Detect QEMU and use /dev/vda as the boot device in that case. Fix a case where /mnt was used instead of the target partition variable. Thanks to alienBOB. a/mkinitrd-1.4.11-x86_64-16.txz: Rebuilt. Blacklist rules.d/73-seat-late.rules. Thanks to Robby Workman. a/ndctl-71.1-x86_64-1.txz: Upgraded. a/sysklogd-2.1.2-x86_64-3.txz: Rebuilt. /etc/logrotate.d/syslog.new: add missingok option. Thanks to sovteq. l/gdbm-1.19-x86_64-1.txz: Upgraded. t/fig2dev-3.2.8-x86_64-1.txz: Upgraded. x/libepoxy-1.5.5-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/a/lilo/lilo.SlackBuild')
-rwxr-xr-xsource/a/lilo/lilo.SlackBuild5
1 files changed, 3 insertions, 2 deletions
diff --git a/source/a/lilo/lilo.SlackBuild b/source/a/lilo/lilo.SlackBuild
index fec935540..aa221a071 100755
--- a/source/a/lilo/lilo.SlackBuild
+++ b/source/a/lilo/lilo.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2013, 2015, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2015, 2016, 2017, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=lilo
VERSION=${VERSION:-24.2}
-BUILD=${BUILD:-9}
+BUILD=${BUILD:-10}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -59,6 +59,7 @@ chown -R root:root .
zcat $CWD/lilo.ignore.usable.memory.above.4G.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/lilo.allow.colons.in.by-id.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/lilo.nvme.support.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/lilo.gcc10.diff.gz | patch -p1 --verbose || exit 1
make || exit 1
make install DESTDIR=$PKG || exit 1